package employee

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/employee"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /employee/search/test employee GetEmployeeSearchTest
//
// Get employee list | 获取Employee列表
//
// Get employee list | 获取Employee列表
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: AuthReq
//
// Responses:
//  200: AuthResp

func GetEmployeeSearchTestHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.AuthReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := employee.NewGetEmployeeSearchTestLogic(r.Context(), svcCtx)
		resp, err := l.GetEmployeeSearchTest(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
